package com.xmomen.module.wx.module.order.service;

import java.util.List;
import java.util.Map;

import com.xmomen.module.wx.module.order.model.MyOrderQuery;
import com.xmomen.module.wx.module.order.model.OrderDetailModel;
import com.xmomen.module.wx.module.order.model.OrderModel;
import com.xmomen.module.wx.pay.model.PayResData;

// 我的订单服务接口
public interface MyOrderService {

	// 获取我的订单
	List<OrderModel> myOrder(MyOrderQuery myOrderQuery);
	// 获取订单详情
	OrderDetailModel getOrderDetail(MyOrderQuery myOrderQuery);
	
	// 确认收货
	Boolean confirmReceiveOrder(Integer orderId, Integer userId) throws Exception;
	
	// 取消订单
	Boolean cancelOrder(Integer orderId, Integer userId) throws Exception;
	
	// 获取订单统计信息
	Map<String, Integer> getOrderStatistic(Integer userId);
	
	// 支付回调
	void payCallBack(PayResData payResData) throws Exception;
}
